Bug 458212 - kernel: random32: seeding improvement [rhel-4.5.z]
kernel: random32: seeding improvement [rhel-4.5.z]
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Vitaly Mayatskikh
Martin Jenner
: ZStream
Depends On: 458016
  Show dependency treegraph
Reported: 2008-08-06 21:00 EDT by Eugene Teo (Security Response)
Modified: 2009-01-29 09:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-29 09:22:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-08-06 21:00:29 EDT
+++ This bug was initially created as a clone of Bug #458016 +++

Description of problem:
Stephen Hemminger wrote a patch to improve random32() seeding.

The rationale is:
   * use u32 consistently
   * no need to do LCG on values from (better) get_random_bytes
   * use more data from get_random_bytes for secondary seeding
   * don't reduce state space on srandom32()
   * enforce state variable initialization restrictions

--- Additional comment from eteo@redhat.com on 2008-08-06 02:18:35 EDT ---

Proposed upstream patch:

--- Additional comment from eteo@redhat.com on 2008-08-06 02:22:51 EDT ---

Created an attachment (id=313529)
Upstream patch for this issue

--- Additional comment from lgoncalv@redhat.com on 2008-08-06 14:37:37 EDT ---

Patch queued for -76
Comment 1 Eugene Teo (Security Response) 2008-08-06 21:02:12 EDT
Please ignore the last comment from lgoncalv@redhat.com. Thanks.
Comment 2 RHEL Product and Program Management 2008-08-07 10:43:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 4 Eugene Teo (Security Response) 2008-08-26 12:54:44 EDT
It needs the following upstream patch as well:

Note You need to log in before you can comment on or make changes to this bug.